Subject: Re: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: martin rudalics <[email-masked]>
Date: Fri, 24 Mar 2017 10:02:30 +0100

> ISTR that there was a long discussion about this when Juanma
 > implemented these features, so the current behavior is not just a
 > random choice on his part.
 >
 > FWIW, I'm rather fond of the current behavior, since whenever I need
 > to restart Emacs, it recreates the precise frame arrangement I had
 > when I shut it down.

According to a comment in gtkwindow.c:

  * If you are saving and restoring your application's window
  * positions, you should know that it's impossible for applications to
  * do this without getting it somewhat wrong because applications do
  * not have sufficient knowledge of window manager state. The Correct
  * Mechanism is to support the session management protocol (see the
  * "GnomeClient" object in the GNOME libraries for example) and allow
  * the window manager to save your window sizes and positions.

Just to explain where my doubts come from.

martin